#!/sbin/sh -u
#
# Create an HTML index from the installed Freeware products based
# on the release notes.

RELDIR=/usr/freeware/relnotes
INDEX=$RELDIR/index.html
LEGAL=shared/legal_notice.html # Ariel, we want this reference relative

# Remove the previous index if one exists
rm -f $INDEX

# Create the header information
echo "<HTML VERSION=\"2.0\">"				>> $INDEX
echo "<HEAD>"						>> $INDEX
echo "<TITLE>Silicon Graphics Freeware</TITLE>"		>> $INDEX
echo "</HEAD>"						>> $INDEX
echo "<BODY BGCOLOR=\"#FFFFFF\">"			>> $INDEX
echo "<H1>Silicon Graphics Freeware</H1>"		>> $INDEX
echo "<H2><A HREF="$LEGAL">Legal Notice</A></H2>"	>> $INDEX

echo "<H2>A note about the origins of Freeware.</H2>"	>> $INDEX
echo "<BODY>"						>> $INDEX
echo "The software products being brought to"		>> $INDEX
echo "you by Silicon Graphics have been authored"	>> $INDEX
echo "by many generous individuals and organizations"	>> $INDEX
echo "throughout the world.  It is through their"	>> $INDEX
echo "efforts that these products exist."		>> $INDEX
echo "</BODY>"						>> $INDEX
echo "<H2>Our contribution.</H2>"			>> $INDEX
echo "<BODY>"						>> $INDEX
echo "Silicon Graphics has repackaged these software"	>> $INDEX
echo "products so that they can be easily installed"	>> $INDEX
echo "using either inst or SoftwareManager.  The"	>> $INDEX
echo "software is installed into /usr/freeware to"	>> $INDEX
echo "distinguish it from previous versions you may"	>> $INDEX
echo "have installed directly from the authors."	>> $INDEX
echo "</BODY>"						>> $INDEX
echo "<A NAME=\"SUPPORT\"</A>"				>> $INDEX
echo "<H2>Support</H2>"					>> $INDEX
echo "<BODY>"						>> $INDEX
echo "The software in this package is considered"	>> $INDEX
echo "unsupported by Silicon Graphics.  Neither the"	>> $INDEX
echo "authors or Silicon Graphics are compelled to help"	>> $INDEX
echo "resolve problems you may encounter in the"	>> $INDEX
echo "installation, setup, or execution of this software."	>> $INDEX
echo "To be more to the point, if you call us with an"	>> $INDEX
echo "issue regarding products in the Freeware package,"	>> $INDEX
echo "we'll have to gracefully terminate the call."	>> $INDEX
echo "</BODY>"						>> $INDEX
echo "<H2>The Future</H2>"				>> $INDEX
echo "<BODY>"						>> $INDEX
echo "For a variety of reasons the authors and/or Silicon"	>> $INDEX
echo "Graphics may decide to discontinue one or more of these"	>> $INDEX
echo "products.  It is more likely, however, that we will"	>> $INDEX
echo "all try to bring many more products to you in future"	>> $INDEX
echo "Freeware packages."				>> $INDEX
echo "</BODY>"						>> $INDEX
echo "<H2>Release Notes</H2>"				>> $INDEX
echo "<BODY>"						>> $INDEX
echo "Each product contains a release note with additional"	>> $INDEX
echo "information about the product.  We encourage you to"	>> $INDEX
echo "review each release note to benefit from as much"	>> $INDEX
echo "knowledge as possible.  Each release note will also"	>> $INDEX
echo "contain a WEB pointer to further information from Silicon" >> $INDEX
echo "Graphics such as known bugs and workarounds."	>> $INDEX
echo "</BODY>"						>> $INDEX

echo "<H2>Changing Your Search Path</H2>"			>> $INDEX
echo "<BODY>"							>> $INDEX
echo "By default the search path used by your system will not"	>> $INDEX
echo "include the /usr/freeware directories."			>> $INDEX
echo "We have provided a tool called"				>> $INDEX
echo "<CODE>fixpath</CODE>"					>> $INDEX
echo "which can be used"					>> $INDEX
echo "to modify the files in your local environment controlling" >> $INDEX
echo "these paths."						>> $INDEX
echo "To use the tool open a shell window and type"		>> $INDEX
echo "<CODE>/usr/freeware/bin/fixpath</CODE>."			>> $INDEX
echo "</BODY>"							>> $INDEX

echo "<H2>Product Listing</H2>"				>> $INDEX
echo "<UL>"						>> $INDEX

# Parse each release note and add a entry.  The entry will consist
# of the title as represented in the <TITLE> identifier and a link
# to the actual release note
for FILE in `ls $RELDIR | grep -i '\.html$' | grep -v index.html | sort -f`
do
	TITLE=`grep -i '<TITLE>' $RELDIR/$FILE | head -1 | \
	cut -f2 -d'>' | cut -f1 -d'<'`
	echo "<LI><A HREF=\"$FILE\">$TITLE</A>"		>> $INDEX
done

# Create the footer information
echo "</UL>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "<BR>"						>> $INDEX
echo "</BODY>"						>> $INDEX
echo "</HTML>"						>> $INDEX

